﻿@model IEnumerable<OsobaKontaktViewModel>

<table class="table table-sm table-striped table-hover" id="table-kontakti">
    <thead>
        <tr>
            @{
                string[] nazivi = { "Kontakt", "Tip kontakta" };
                for (int i = 0; i < nazivi.Length; i++)
                {
                    <th>
                        @nazivi[i]
                    </th>
                }
            }
        </tr>
    </thead>

    <tbody>
        @foreach (var kontakt in Model)
        {
            <tr>
                <td>
                    <input type="hidden" name="OsobaKontakti.Index" value="@kontakt.FkKontaktId" />
                    <input type="hidden" name="OsobaKontakti[@kontakt.FkKontaktId].KontaktId" value="@kontakt.KontaktId" />
                    <input class="form-control" name="OsobaKontakti[@kontakt.FkKontaktId].KontaktPodatci" value="@kontakt.KontaktPodatci" />
                </td>
                <td>
                    <input type="hidden" name="OsobaKontakti[@kontakt.FkKontaktId].FkKontaktId" value="@kontakt.FkKontaktId" />
                    @kontakt.NazivTipKontakta
                </td>
                <td>
                    <button class="btn btn-sm btn-danger deleterow" title="Izbaci"><i class="fa fa-minus"></i></button>
                </td>
            </tr>
        }
        <tr>
            <td>
                <input id="kontakt-id" type="hidden" data-autocomplete-placeholder="kontakt" />
                <input id="kontakt-podaci" type="text" data-autocomplete="kontakt" />
            </td>
            <td>
                <input id="kontakt-naziv" type="text" data-autocomplete-placeholder-naziv="kontakt" readonly="readonly" />
                <input id="kontakt-fkkontaktid" type="hidden" data-autocomplete-placeholder-fkkontaktid="kontakt" />
            </td>
            <td>
                <button id="kontakt-dodaj" class="btn btn-sm btn-secondary" title="Dodaj"><i class="fa fa-plus"></i></button>
            </td>
        </tr>
    </tbody>
</table>

@section styles {
    <link rel="stylesheet" href="~/lib/jqueryui/themes/base/jquery-ui.css" />
}
@section scripts {
    <script src="~/lib/jqueryui/jquery-ui.js"></script>
    <script asp-src-include="~/js/autocomplete.js" asp-append-version="true"></script>
    <script asp-src-include="~/js/osoba_kontakt.js" asp-append-version="true"></script>
}